
uniform sampler2D pos_tex;
uniform sampler2D color_tex;
uniform vec2 world;

void main() {
	vec2 pos = texture2D(pos_tex, gl_TexCoord[0].xy).xy;
	vec3 color = texture2D(color_tex, pos / world).xyz + gl_Color.xyz;
	gl_FragColor = vec4(color, 1.0);
}
