
uniform sampler2D pos_tex;
uniform sampler2D vel_tex;
uniform vec2 world;

void main() {
	vec2 pos = texture2D(pos_tex, gl_TexCoord[0].xy).xy;
	vec2 vel = texture2D(vel_tex, pos / world).xy + gl_Color.xy;
	gl_FragColor = vec4(pos, vel);
}
